
local lib = require "api.lib"

local events = {}



function events.on_first_frame()
    local all_entities = game.surfaces.nauvis.find_entities()
    for _, e in pairs(all_entities) do
        if e.name:sub(1, 11) == "crash-site-" then
            e.destroy()
        end
    end
end

function events.on_game_started()
    -- nothing to do for now

    storage.events.has_game_started = true
end



return events
