
local hex_core = table.deepcopy(data.raw.container["steel-chest"])

hex_core.name = "hex-core"
hex_core.impact_category = "stone"
hex_core.inventory_size = 20
hex_core.collision_box = {
    {-2.35, -2.35},
    {2.35, 2.35},
}
hex_core.selection_box = {
    {-2.5, -2.5},
    {2.5, 2.5},
}
hex_core.fast_replaceable_group = nil
hex_core.minable = nil
hex_core.picture = {
    layers = {
        {
            filename = "__hextorio__/graphics/entity/hex-core.png",
            width = 416,
            height = 474,
            scale = 0.4,
        }
    }
}



local hidden_loader = table.deepcopy(data.raw["loader-1x1"]["loader-1x1"])
hidden_loader.name = "hex-core-loader"
hidden_loader.speed = 0.03125 * 4 -- 15/sec x4 = turbo belt
hidden_loader.belt_animation_set = nil
hidden_loader.structure = nil



data:extend({hex_core, hidden_loader})
